%define debug 0

%define cups 1

%define qtversion 3.1.2

%define kde_major_version 3

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define libtool 1
%define fam 0
%define xrandr 1
%define menu_path /var/lib/menu

Version: 3.1.3
Release: 6.12
Summary: K Desktop Environment - Libraries
Name: kdelibs
Url: http://www.kde.org/
Epoch: 6
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
Source1: desktop-create-kmenu.c
Patch0: kdelibs-3.1.3a.patch
Patch1: kdelibs-3.0-noxs.patch
Patch2: kdelibs-3.0.0-ndebug.patch
Patch3: kdelibs-3.1-resize-icons.patch
Patch4: kdelibs-3.0.4-ksyscoca.patch
Patch5: kdelibs-2.1.1-path.patch
Patch6: kdelibs-3.0-rpath.patch
Patch7: kdelibs-3.0.2-dock.patch
Patch8: kdelibs-3.1.1-lang.patch
Patch9: kdelibs-3.0.3-redhat.patch
Patch10: kdelibs-3.0.4-dtfix.patch
Patch11: kdelibs-3.0.3-lib64.patch
Patch12: kioslavetest.patch
Patch13: metatest.patch
Patch14: kdelibs-3.1-ansi.patch
Patch15: kdelibs-3.1-buildroot.patch
Patch16: kdelibs-3.1-ssl-krb5.patch
Patch18: kdelibs-3.1-icon_scale.patch
Patch19: kdelibs-3.1-kate.patch
Patch20: kdelibs-3.1-defaultstyle.patch
Patch21: kdelibs-3.1-flash.patch
Patch22: kdelibs-3.1-kio.patch
Patch23: kdelibs-3.1-no.patch
Patch24: kdelibs-3.1-libtool.patch
Patch25: kdelibs-3.1-gnome-menu.patch
Patch26: kdelibs-3.1.3a-xrandr.patch
Patch27: kdelibs-3.1.1-pcre.patch
Patch28: kdelibs-3.1.2-openssl.patch
Patch30: kdelibs-3.1.3-gcc33.patch
Patch31: kdelibs-3.1-fix-dcopserver.patch

# security patches
# KDE Security Advisory: URI Handler Vulnerabilities
Patch100: post-3.1.5-kdelibs-ktelnetservice.patch
Patch101: post-3.1.5-kdelibs-kapplication.patch

# KDE Security Advisory: Temporary Directory Vulnerability
Patch102: post-3.1.5-kdelibs-kstandarddirs.patch

# KDE Security Advisory: Konqueror Cross-Domain Cookie Injection
Patch103: post-3.1.5-kdelibs-kcookiejar.patch

# KDE Security Advisory: Konqueror Window Injection Vulnerability
Patch104: post-3.1.5-kdelibs-htmlframes.patch
Patch105: kdelibs-3.1.3-htmlframes2.patch

# FTP command injection vulnerability
Patch106: kdelibs-3.1.3-CAN-2004-1165.patch

# Local DCOP denial of service	vulnerability
Patch107: post-3.1.5-kdelibs-dcop.patch

# interger overflow CVE-2006-4811
Patch108: kdelibs-3.1.3-khtml-overflow-CVE-2006-4811.patch

Requires: qt >= 1:%{qtversion}
Requires: arts >= 8:1.1.1
Requires: openssl = 0.9.7a

%if %{cups}
Requires: cups-libs >= 1.1.12
BuildRequires: cups-devel >= 1.1.12
%endif

%if %{desktop_file}
Requires: desktop-backgrounds-basic
Requires: redhat-menus => 0.30
Requires: redhat-artwork >= 0.53
Prereq: fileutils
Prereq: shadow-utils
Prereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

Prereq: /sbin/ldconfig
Prereq: dev

%if %{fam}
BuildPrereq: fam-devel
%endif

BuildPrereq: qt-devel >= %{qtversion}
BuildPrereq: flex >= 2.5.4a-13
BuildPrereq: doxygen
BuildPrereq: libxslt-devel >= 1.0.9
BuildPrereq: sgml-common
BuildPrereq: openjade
BuildPrereq: jadetex
BuildPrereq: docbook-dtd31-sgml
BuildPrereq: docbook-style-dsssl
BuildPrereq: perl-SGMLSpm
BuildPrereq: docbook-utils
BuildPrereq: pcre-devel
BuildPrereq: zlib-devel
BuildPrereq: arts-devel >= 7:1.1.1
BuildPrereq: audiofile-devel
BuildPrereq: openssl-devel
BuildPrereq: perl
BuildPrereq: gawk
BuildPrereq: byacc
BuildPrereq: libart_lgpl-devel >= 2.3.8
BuildPrereq: bzip2-devel
BuildPrereq: libjpeg-devel
BuildPrereq: pkgconfig

Obsoletes: %{name}2
Obsoletes: kdesupport

%description
Libraries for the K Desktop Environment:
KDE Libraries included: kdecore (KDE core library), kdeui (user interface),
kfm (file manager), khtmlw (HTML widget), kio (Input/Output, networking),
kspell (spelling checker), jscript (javascript), kab (addressbook),
kimgio (image manipulation).

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt-devel >= 1:%{qtversion}
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: pcre-devel
Obsoletes: kdesupport-devel

%description devel
This package includes the header files you will need to compile
applications for KDE.  Also included is the KDE API documentation in HTML
format for easy browsing.

%prep
%setup -q
%patch0 -p1 -b .313a
%patch1 -p1 -b .noxs
%if %{debug} == 0
%patch2 -p1 -b .debug
%endif
%patch3 -p1 -b .resize
%patch4 -p1 -b .ksyscoca
%patch5 -p1 -b .path
%patch6 -p1 -b .rpath
%patch7 -p1 -b .dock
%patch8 -p1 -b .lang
%patch9 -p1 -b .menu
%patch10 -p1 -b .dtfix
%patch11 -p1 -b .lib64
%patch12 -p0
%patch13 -p0
%patch15 -p1 -b .buildroot
%patch16 -p1 -b .ssl-krb5
%patch18 -p1 -b .icon_scale
%patch19 -p1 -b .kate
%patch20 -p1 -b .defaultstyle
%patch21 -p1
%patch22 -p1 -b .kio
%patch23 -p1 -b .no
%patch24 -p1 -b .libtool
%patch25 -p1 -b .redhat
%patch26 -p1 -b .xrandr
%patch27 -p1 -b .pcre
%patch28 -p1 -b .openssl
%patch30 -p1 -b .gcc33
%patch31 -p1 -b .kinit

# securiy patch
%patch100 -p0 -b .ktelnet
%patch101 -p1 -b .kmail
%patch102 -p0 -b .symlink
%patch103 -p0 -b .kcookiejar
%patch104 -p0 -b .html
%patch105 -p1 -b .html2
%patch106 -p1 -b .CAN-2004-1165
%patch107 -p0 -b .CAN-2005-0396
%patch108 -p1 -b .khtml-overflow-CVE-2006-4811

# add redhat into KDE_VERSION_STRING
perl -pi -e "s,^#define KDE_VERSION_STRING .*,#define KDE_VERSION_STRING \"%{version}-%{release} Red Hat\"," kdecore/kdeversion.h

%build
unset QTDIR && . /etc/profile.d/qt.sh

make -f admin/Makefile.common cvs

# set some default FLAGS
%if %{debug}
FLAGS="-O0 -DDEBUG=1"
%else
FLAGS="$RPM_OPT_FLAGS"
FLAGS="$FLAGS -DNDEBUG -UDEBUG -DNODEBUG -UDEBUG_ASYNC_TRANSFER -UVPORT_DEBUG -UDEBUG_IO -UDEBUG_MESSAGES -UDEBUG_AUTH -UDEBUG_CONNECTION_DATA -DYYDEBUG=0 -UNETWMDEBUG -UCSS_DEBUG -UCSS_STYLESHEET_DEBUG -USPEED_DEBUG -UKJS_DEBUGGER -UFORMS_DEBUG -UDEBUG_LAYOUT -UDEBUG_DRAW_BORDER -UPARSER_DEBUG -UDECODE_DEBUG -UCACHE_DEBUG -UBUFFER_DEBUG -UJPEG_DEBUG -UDEBUG_LINEBREAKS -UBOX_DEBUG -UTABLE_DEBUG -UYYERROR_VERBOSE -UKJS_DEBUG_MEM -UMIDIOUTDEBUG -UGENERAL_DEBUG_MESSAGES"
%endif
FLAGS="$FLAGS -fno-exceptions -D_GNU_SOURCE"

export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"
export CFLAGS="$FLAGS"

if pkg-config openssl ; then
   export CFLAGS="$CFLAGS `pkg-config --cflags openssl`"
   export CXXFLAGS="$CXXFLAGS `pkg-config --cflags openssl`"
   export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
   export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

# Check which version/distribution we are...
VERSION=`cat /etc/redhat-release 2>/dev/null |awk '{ print $5; }'`
if [ -z "$VERSION" -o -z "echo $VERSION |sed -e 's,[0-9]*,,g;s,\.,,g'" ]; then
   VERSION="A Red Hat Linux-based distribution"
else
   VERSION="Red Hat Linux $VERSION"
fi

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --disable-rpath \
%if %{cups}
   --enable-cups \
%endif
   --enable-mitshm \
   --with-xinerama \
   --includedir=%{_includedir}/kde \
%if %{debug} == 0
   --disable-debug \
   --without-debug \
   --enable-final \
%endif
%if %{fam} == 0
   --disable-libfam \
   --without-libfam \
%endif
   --with-distribution="$VERSION"

# ld breaks with -fPIC on ppc, workaround
# it will be removed when this bug is fixed
%ifarch ppc ppc64
perl -pi -e 's,^pic_flag=" -fPIC -DPIC",pic_flag=" -fpic",g' libtool
%endif

make %{?_smp_mflags}
make apidox

# build desktop create kde menu tool
%if %{desktop_file}
gcc $FLAGS -o desktop-create-kmenu %{SOURCE1}
%endif

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

chmod a+x $RPM_BUILD_ROOT%{_libdir}/*

pushd $RPM_BUILD_ROOT%{_docdir}
ln -sf HTML/en/kdelibs-apidocs %{name}-devel-%{kde_major_version}
popd

# Make symlinks relative
pushd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -sf ../common $i
   fi
done
popd

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications \
         $RPM_BUILD_ROOT%{menu_path}/kde

desktop-file-install \
    --vendor kde \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --delete-original \
    --add-category "X-KDE-Components" \
    --add-only-show-in KDE \
    $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/Components/*.desktop

# install desktop-create-kmenu
install -m 755 desktop-create-kmenu $RPM_BUILD_ROOT%{_bindir}

# delete unneeded files
rm -rfv $RPM_BUILD_ROOT%{_datadir}/applnk
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -d /etc/skel/Desktop/Autostart ]; then
   mv -f /etc/skel/Desktop/Autostart /etc/skel/Desktop/Autostart-OLD..KDE
elif [ -d /etc/skel/Desktop/Autostart.rpmsave ]; then
   mv -f /etc/skel/Desktop/Autostart.rpmsave /etc/skel/Desktop/Autostart-OLD..KDE
fi

/usr/sbin/adduser -c "desktop" -u 80 -s /sbin/nologin -r -d %{menu_path}/kde desktop 2>/dev/null || :

%post
/sbin/ldconfig

# create desktop files
if [ -x /usr/bin/desktop-create-kmenu ] ; then
   /usr/bin/desktop-create-kmenu >& /dev/null || :
fi

%postun
/sbin/ldconfig

# delete desktop files
if [ -x /usr/bin/desktop-create-kmenu ] ; then
   /usr/bin/desktop-create-kmenu >& /dev/null || :
fi


%files
%defattr(-,root,root)
%{_bindir}/dcopserver*
%{_bindir}/dcop
%{_bindir}/dcopfind
%{_bindir}/dcopclient
%{_bindir}/dcopobject
%{_bindir}/dcopref
%{_bindir}/dcopstart
%{_bindir}/kbuildsycoca
%{_bindir}/preparetips
%{_bindir}/imagetops
%{_bindir}/kcookiejar
%{_bindir}/kshell
%{_bindir}/kwrapper
%{_bindir}/kinstalltheme
%{_bindir}/kde*
%{_bindir}/kdont*
%{_bindir}/kio*
%{_bindir}/kpac_*
%{_bindir}/kaddprint*
%{_bindir}/kconf_*
%{_bindir}/klauncher
%{_bindir}/k*service
%{_bindir}/kimage_concat
%{_bindir}/lnusertemp
%{_bindir}/ksendbugmail
%{_bindir}/make*
%{_bindir}/meinproc
%{_bindir}/xml*
%{_bindir}/kdb2html
%{_bindir}/checkXML
%{_bindir}/knotify
%{_bindir}/kab2kabc
%{_bindir}/artsmessage
%{_bindir}/kfile
%{_bindir}/ksvgtopng
%{_libdir}/libkutils*.*
%{_libdir}/libkmediaplayer*.*
%{_libdir}/dcop*
%dir %{_libdir}/kde3
%{_libdir}/kde3/*
%{_libdir}/libDCOP*
%{_libdir}/libkabc*.*
%{_libdir}/libkate*
%{_libdir}/libkde*
%{_libdir}/libkcertpart*.*
%{_libdir}/libkhtml*.*
%{_libdir}/libkio*.*
%{_libdir}/libkjava*.*
%{_libdir}/libkjs*.*
%{_libdir}/libkparts*.*
%{_libdir}/libkscreensaver*.*
%{_libdir}/libkscript*.*
%{_libdir}/libshellscript*.*
%{_libdir}/libkspell*.*
%{_libdir}/libktexteditor*.*
%{_libdir}/libkmid*.*
%{_libdir}/libvcard*
%{_libdir}/libartskde*
%{_libdir}/k*.??
%if %{desktop_file}
%attr(755,desktop,desktop) %dir %{menu_path}
%attr(755,desktop,desktop) %dir %{menu_path}/kde
%attr(4755,root,root) %{_bindir}/desktop-create-kmenu
%{_datadir}/applications
%else
%{_datadir}/applnk
%endif
%dir %{_datadir}/apps
%{_datadir}/locale/all_languages
%{_datadir}/apps/*
%dir %{_datadir}/config
%config(noreplace) %{_datadir}/config/*
%{_datadir}/icons
%{_datadir}/mimelnk
%{_datadir}/autostart
%dir %{_datadir}/services
%{_datadir}/services/*.kimgio
%{_datadir}/services/*.protocol
%{_datadir}/services/*.desktop
%{_datadir}/services/kded
%{_datadir}/servicetypes
%dir %{_docdir}/HTML
%dir %{_docdir}/HTML/en
%doc %{_docdir}/HTML/en/common
%doc %{_docdir}/HTML/en/kspell
%if %{cups}
%{_bindir}/cups*
%{_libdir}/libcups*
%endif

%files devel
%defattr(-,root,root)
%{_bindir}/dcopidl*
%{_includedir}/kde
%doc %{_docdir}/%{name}-devel-%{kde_major_version}
%doc %{_docdir}/HTML/en/kdelibs-apidocs

%changelog
* Mon Oct 16 2006 Than Ngo <than@redhat.com> 6:3.1.3-6.12
- backport patch to fix integer overflow flaw CVE-2006-4811, bz#210742
  thank to Dirk Müller

* Fri Feb 17 2006 Than Ngo <than@redhat.com> 6:3.1.3-6.11
- migrated changes into the RHEL-3 branch

* Wed Mar 02 2005 Than Ngo <than@redhat.com> 6:3.1.3-6.10
- apply patch to fix DCOP DoS, CAN-2005-0396, #150090
  thanks to KDE security team

* Thu Jan 20 2005 Than Ngo <than@redhat.com> 6:3.1.3-6.9
- backport the patch to fix ftp kioslave command injection, CAN-2004-1165

* Tue Dec 14 2004 Than Ngo <than@redhat.com> 6:3.1.3-6.8
- backport the patch to fix Konqueror Window Injection Vulnerability #142510
  CAN-2004-1158,  Thanks to KDE security team

* Tue Sep 21 2004 Than Ngo <than@redhat.com> 6:3.1.3-6.7
- add patch to fix kdeinit segfaults #132999, thanks to Darrick Wong

* Mon Aug 09 2004 Than Ngo <than@redhat.com> 3.1.3-6.6
- add security patches CAN-2004-0721, CAN-2004-0746

* Tue Jul 27 2004 Than Ngo <than@redhat.com> 6:3.1.3-6.5
- temporary directory vulnerability, CAN-2004-0689 

* Fri May 14 2004 Than Ngo <than@redhat.com> 6:3.1.3-6.4
- vulnerability in the mailto handler

* Fri May 14 2004 Than Ngo <than@redhat.com> 6:3.1.3-6.3
- KDE Telnet URI Handler File Vulnerability , CAN-2004-0411

* Fri Sep 12 2003 Than Ngo <than@redhat.com> 6:3.1.3-6.2
- rebuilt

* Mon Sep 08 2003 Than Ngo <than@redhat.com> 6:3.1.3-6.1
- added some patch files from 3.1.3a

* Wed Aug 27 2003 Than Ngo <than@redhat.com> 6:3.1.3-6
- rebuilt

* Fri Aug 22 2003 Than Ngo <than@redhat.com> 6:3.1.3-5
- fix build problem with gcc 3.x

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-4
- rebuilt

* Wed Aug 06 2003 Than Ngo <than@redhat.com> 6:3.1.3-3
- add patch file to fix horizontal scrollbar issue

* Thu Jul 31 2003 Than Ngo <than@redhat.com> 6:3.1.3-2
- rebuilt

* Tue Jul 29 2003 Than Ngo <than@redhat.com> 6:3.1.3-1
- 3.1.3
- add Prereq: dev

* Tue Jun 17 2003 Than Ngo <than@redhat.com> 6:3.1.2-7
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun May 18 2003 Than Ngo <than@redhat.com> 6:3.1.2-5
- remove workaround for glibc bug

* Wed May 14 2003 Than Ngo <than@redhat.com> 6:3.1.2-3
- fix dependence bug

* Tue May 13 2003 Than Ngo <than@redhat.com> 6:3.1.2-2
- fix a bug in loading openssl library

* Mon May 12 2003 Than Ngo <than@redhat.com> 6:3.1.2-1
- 3.1.2

* Wed Apr 30 2003 Than Ngo <than@redhat.com> 6:3.1.1-7
- build with -fpic on ppc (ld bugs)

* Mon Apr 28 2003 Than Ngo <than@redhat.com> 6:3.1.1-6
- libjpeg-devel and bzip2-devel in buildrequires (#89635)

* Thu Apr 24 2003 Than Ngo <than@redhat.com> 6:3.1.1-5
- use pcre native API

* Mon Apr 14 2003 Than Ngo <than@redhat.com> 6:3.1.1-4
- add xrandr support

* Sun Apr 13 2003 Than Ngo <than@redhat.com> 6:3.1.1-3
- PS/PDF file handling vulnerability

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 6:3.1.1-2
- add patch file from CVS to fix: https authentication through proxy fails
- add patch file from CVS to fix: KZip fails for some .zip archives

* Sun Mar 16 2003 Than Ngo <than@redhat.com> 6:3.1.1-1
- 3.1.1 stable release
- move desktop-create-kmenu to kdelibs

* Mon Mar  3 2003 Than Ngo <than@redhat.com> 6:3.1-12
- lan redirect

* Mon Feb 24 2003 Than Ngo <than@redhat.com> 6:3.1-11
- add Buildprereq libart_lgpl-devel

* Mon Feb 24 2003 Than Ngo <than@redhat.com> 6:3.1-10
- move API documentation into kdelibs-devel (#84976)

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 6:3.1-9
- add fix from Thomas Wörner to watch /usr/share/applications
  for changes, (bug #71613)

* Thu Feb 20 2003 Than Ngo <than@redhat.com> 6:3.1-8
- rebuid against gcc 3.2.2 to fix dependency in la file

* Thu Feb 13 2003 Thomas Woerner <twoerner@redhat.com> 6:3.1-7
- fixed arts bug #82750, requires rebuild of kdelibs

* Tue Feb 11 2003 Than Ngo <than@redhat.com> 6:3.1-6
- fix Norway i18n issue, bug #73446

* Mon Feb 10 2003 Than Ngo <than@redhat.com> 6:3.1-5
- konqueror crashes on a double click, bug #81503

* Sun Feb  9 2003 Than Ngo <than@redhat.com> 6:3.1-4
- add patch to support the macromedia, bug #83808

* Thu Feb  6 2003 Than Ngo <than@redhat.com> 6:3.1-3
- add patch to set correct default encoding, bug #82539
- don't overwrite defaultstyle, bug #74795, #80103

* Fri Jan 31 2003 Than Ngo <than@redhat.com> 6:3.1-2
- Add better resize icon patch from Thomas Woerner

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 6:3.1-1
- 3.1 final

* Sun Jan 26 2003 Than Ngo <than@redhat.com> 6:3.1-0.16
- use make apidox to create KDE api instead doxygen

* Thu Jan 24 2003 Than Ngo <than@redhat.com> 6:3.1-0.15
- use doxygen to create api docs
- clean up specfile

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 6:3.1-0.14
- rebuild

* Wed Jan 22 2003 Than Ngo <than@redhat.com> 3.1-0.13
- rc7

* Thu Jan 16 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.12
- added icon scale patch
- added ia64 again

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.11
- excluded ia64

* Sun Jan 12 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.10
- rebuild

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.9
- removed silly size_t check

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.8
- rc6

* Fri Jan 10 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.7
- ssl uses krb5

* Sat Dec 28 2002 Than Ngo <than@redhat.com> 3.1-0.6
- rebuild

* Mon Dec 16 2002 Than Ngo <than@redhat.com> 3.1-0.5
- rebuild

* Thu Dec 12 2002 Than Ngo <than@redhat.com> 3.1-0.4
- fix dependency bug
- use kdoc to create api docs

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix bug #78646
- set kde_major_version

* Fri Nov 22 2002 Than Ngo <than@redhat.com> 3.1-0.2
- use doxygen to create api docs

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update rc4
- adjust many patch files for 3.1
- remove some patch files, which are now in 3.1

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1.1
- conform strict ANSI (bug #77603)

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Wed Oct 16 2002 Than Ngo <than@redhat.com> 3.0.4-3
- rebuild to get rid of libstdc++.la on x86_64
- cleanup sepcfile
- dependency issue

* Sat Oct 12 2002 Than Ngo <than@redhat.com> 3.0.4-2
- better handling of desktop file renames (bug #74071)
- initLanguage issue

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-1

- 3.0.4
- Added 2 patch files for built-in tests from AndreyPozdeev@rambler.ru (bug #75003)
- Added KDE Url (bug #54592)

* Tue Oct  8 2002 Than Ngo <than@redhat.com> 3.0.3-10
- Added fix to get correct Lib directory name on 64bit machine
- New fix to handle desktop file renames (bug #74071)

* Fri Sep 20 2002 Than Ngo <than@redhat.com> 3.0.3-8.1
- Konqueror Cross Site Scripting Vulnerability

* Sun Sep  1 2002 Than Ngo <than@redhat.com> 3.0.3-8
- remove merging share/applnk

* Sat Aug 31 2002 Than Ngo <than@redhat.com> 3.0.3-7
- put Red Hat in the version number
- desktop file issue

* Tue Aug 27 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-6
- Removed gcc31 patch as it breaks the Netscape plugin in gcc32.

* Mon Aug 26 2002 Phil Knirsch <pknirsch@redhat.com> 3.0.3-5
- Use LANG env as default if available
- Fixed general language handling problems

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 3.0.3-4
- revert about KDE, use preference

* Thu Aug 22 2002 Than Ngo <than@redhat.com> 3.0.3-3
- Added katetextbuffermultibyte patch from Leon Ho (bug #61464)
- build against new qt

* Tue Aug 13 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-2
- Update to 3.0.3 respin to fix SSL security bug

* Sun Aug 11 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- Added ksyscoca patch from Harald Hoyer

* Thu  Aug  8 2002 Than Ngo <than@redhat.com> 3.0.2-6
- Added better system tray dock patch from Harald Hoyer

* Fri Aug  2 2002 Than Ngo <than@redhat.com> 3.0.2-5
- Fixed a bug in ktip (bug #69627,70329)

* Fri Aug  2 2002 Than Ngo <than@redhat.com> 3.0.2-4
- Added system tray dock patch from Harald Hoyer
- Added Buildrequires audiofile-devel (bug #69983)
- Added Buildrequires openssl-devel (bug #64858)
- Rebuild against qt 3.0.5 (bug #70379)
- Added patch to remove "about KDE" menu item from help menu (bug #67287)
- Fixed dependencies bug by update (bug #69798)
- Added some bugfixes from 3.0.2 stable branches

* Fri Aug  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-3
- Add some bugfixes from CVS (mostly HTML rendering fixes)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 3.0.2-2
- rebuild using gcc-3.2-0.1

* Tue Jul  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-1
- 3.0.2

* Tue Jun 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020625.1
- Make KLocale respect the LANG setting when kpersonalizer wasn't run

* Mon Jun 24 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020624.1
- Update, should be VERY close to 3.0.2 final now.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.2-0.cvs20020620.1
- Update
- Remove the malloc hack, it's no longer needed with glibc 2.2.90

* Tue May 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-3
- Add support for xdg-list icon theme spec

* Fri May  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Wed May  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-12
- Update to KDE_3_0_BRANCH
- Do away with the GCC296 define, it's handled automatically

* Thu May  2 2002 Than Ngo <than@redhat.com> 3.0.0-11
- add some fixes from KDE CVS
- build against gcc-3.1-0.26/qt-3.0.3-12

* Mon Apr 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-10
- Change sonames to something indicating the compiler version if a compiler
  < gcc 3.1 is used
- Add compat symlinks for binary compatibility with other distributions

* Thu Apr 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-9
- Fix Qt designer crash when loading KDE plugins

* Tue Apr  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-8
- Add build requirement on samba >= 2.2.3a-5 to make sure the correct
  smb ioslave can be built

* Mon Apr  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-7
- Merge the following fixes from KDE_3_0_BRANCH:
  - RFC 2818 compliance for KSSL
  - Detect premature loss of connection in http ioslave (this may have
    been the cause of the bugzilla CGI.pl:1444 issue)
  - Don't send SIGHUP to kdesu child applications
  - Fix KHTML form rendering problems

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-6
- Fix up timeout problems with form submissions (#62196)

* Wed Apr  3 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Merge kjs crash-on-invalid-input fix from KDE_3_0_BRANCH

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-4
- fix kde version

* Thu Mar 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Add another khtml rendering fix

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-2
- Add a khtml fix from KDE_3_0_BRANCH, prevents form content from
  being submitted twice, which probably caused the CGI.pl:1444 bug
  some people have noted with Bugzilla.

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- Update to final
- Add fixes from KDE_3_0_BRANCH

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.2
- scale down icons for submenus pointing to legacy
  applications rather than keeping them at 32x32 (bug #61506)

* Mon Mar 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020325.1
- Build the Keramik style

* Thu Mar 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020314.1
- s/qDebug/kdDebug/

* Mon Mar 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020311.1
- Reduce debug spewage

* Fri Mar  1 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020301.1
- Update

* Fri Feb 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020215.1
- Update
- arts is no longer part of kdelibs

* Mon Feb 11 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020211.1
- Update
- Build with Xinerama support

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020128.3
- Rebuild from a fresh CVS checkout

* Mon Jan 28 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020128.1
- KABC::AddressBook::reload() added

* Sat Jan 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020126.1
- Update to get API changes
- Build with CUPS support

* Thu Jan 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020117.1
- Update

* Wed Jan  9 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020109.1
- Stop excluding alpha, gcc has been fixed
- Fix generation of API docs
- Fix up SSL support

* Mon Jan  7 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020107.1
- arts-devel provides kdelibs-sound-devel for backwards compatibility
- Update, rebuild with gcc 3.1-0.15

* Fri Jan  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020104.1
- Update
- Make sure we aren't built with gcc 3.1 prior to -0.14
- Remove -O0 hack, no longer needed with gcc 3.1-0.14
- Adapt spec file to base changes (good-bye, libkfile, libkssl and libksycoca!)

* Sat Dec 29 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011229.1
- Update
- stop excluding alpha

* Fri Dec 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011214.1
- Update
- Update Japanese patches
- Temporarily exclude alpha (compiler bugs)
- Add workaround for gcc bug #57502

* Sun Nov 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011111.1
- Get rid of kdelibs-sound, kdelibs-sound-devel; add arts-devel. Makes more
  sense.

* Thu Oct 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0-0.cvs20011018.1
- Various 3.0 related fixes

* Thu Aug  2 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010802.1
- Remove the japanese khtml patches, they break too many non-japanese web
  pages

* Mon Jul 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010730.1
- Update, fixes <option size> handling in khtml (#50303)
- Add japanese patches

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- Add yet another build dependency (#49909)

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove internal libxslt, we have the real thing
- Remove ia64 workarounds, no longer needed

* Sat Jul 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010721.1
- Move artsmessage from arts to kdelibs-sound
- Update

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.2
- Move libartskde from arts to kdelibs-sound

* Fri Jul 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010720.1
- Update
- Work around ia64 breakages

* Wed Jun 27 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.beta1.1
- beta 1

* Tue Jun 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010626.1
- Update
- Obsolete kdesupport, kdesupport-devel

* Wed May 16 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010516.1
- Update

* Mon May 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010514.1
- Fix up pcre detection in CVS
- Update, fixes "easy enter form" in Bugzilla

* Thu May 10 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010510.1
- Update to CVS, fix second half of bug #40087

* Fri May 04 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010503.1
- Update to CVS after fixing bugs #38894, #30575
  directly in the CVS tree

* Sun Apr 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.2
- create subpackages for MySQL and Postgres KDB plugins to avoid
  unnecessary dependencies

* Wed Apr 18 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha1.1
- 2.2alpha1
- require pcre, pcre-devel

* Tue Apr  3 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-5
- Merge fixes from current KDE_2_1_BRANCH - fixes 2 memory leaks and
  makes kio_http more tolerant to broken Auth requests sent by some
  servers
- Add missing mcop{class,type} files in arts package
- Handle PATH changes in kdesu, some KControl modules need /sbin in the
  PATH... (#34209)
- Add KDE2PORTING.html file in /usr/share/docs/kdelibs-devel-%{version},
  it's quite useful...

* Thu Mar 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-3
- Fix up kded to watch directories we can't write to
- Use mkstemp() rather than tmpfile() for xauth file generation
  in kdesu

* Wed Mar 21 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-2
- Fix up cookie escaping (this should finally fix bugzilla for good)
- Security: cookies shouldn't be world readable, some websites store
  login information

* Wed Mar 21 2001 Than Ngo <than@redhat.com>
- disable debug as default

* Tue Mar 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1.1-1
- 2.1.1
- Escape cookies when necessary

* Mon Mar 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-10
- Don't crash in KProcess if getpwuid() returns NULL, happens with
  LDAP authentication
- Require qt >= 2.3.0 (#31770)
- Fix crash in KURLCompletion

* Tue Mar 13 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.1-9
- Add some more fixes and <layer> support from KDE_2_1_BRANCH
- Patch KService to not add K menu entries if the desktop files
  aren't readable by the user we're running at (removes bogus
  timetool, control-panel etc. entries; I'd still prefer running
  those through consolehelper over hiding them from users...)

* Fri Mar  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Revert to putting config files in /usr/share/config
- Fix up cookie handling when combined with JavaScript (#30577)
- Add some html rendering fixes from KDE_2_1_BRANCH

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- /usr/share/config -> /etc/kde
- Use --disable-debug, it works with Qt 2.3.0

* Tue Feb 27 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add khtml+DOM fixes from KDE_2_1_BRANCH
- BuildPrereq docbook stuff so we don't get broken kdb2html stuff

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- YAR (Yet Another Respin)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Mon Feb 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 18 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Disable some more debugging (but leave -DNDEBUG out, it's broken)

* Thu Feb 15 2001 Than Ngo <than@redhat.com>
- create the kdoc-preferences for kdevelop
- put the html documents /usr/share/doc/kdelibs-devel-2

* Wed Feb 14 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add workaround for merging GNOME's non-UTF8 .desktop files
  in the KDE menu

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- disable debug, but patch out the CXXFLAGS change

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Back out --disable-debug change

* Fri Feb  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Build with --disable-debug

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 (obsolete)
- Fix the escape sequence patch (#25307)

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Japanese patch from Sato Satoru <ssato@redhat.com>

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix klauncher escape sequence handling (#25307, Patch from Tim Waugh)
- Fix krun escape sequence handling (#25134, Patch from Tim Waugh)
- Make /usr/share/doc/HTML/en/kspell/common symlink relative (#24793)

* Thu Jan 25 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Apply patch from CVS to fix up Cookie handling in Konqueror.
  Finally Bugzilla works perfectly in Konqueror.

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- kdelibs-sound-devel requires audiofile-devel, kdelibs-sound doesn't.
- Update, fixes various HTML rendering bugs

* Sat Jan 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Require kdesupport >= 2.0.99 rather than >= %%{version}
  kdesupport doesn't change frequently.

* Fri Jan 19 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- remove the Java hacks; KDE now requires a Java 2 compliant
  environment, so there's no chance to get any of it to run
  with current kaffe.

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- restore real arts %%description
- require Qt >= 2.2.3 rather than 2.2.0

* Tue Jan 16 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move libkmedia2_idl to arts; it's needed there
- Fix up the Java stuff. The new stuff is ugly, but seems to work
- Get rid of the compiler bug workaround: the ICE was triggered by
  unclean code
- Change the description of the arts package for translation purposes

* Mon Jan 15 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Work around compiler bugs (sigh)
- Fix specfile (added files)
- Split arts into a separate package; it's required by SDL,
  and depending on kdelibs-sound (which requires kdelibs)
  is overkill

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Modify the check for an acceptable JVM to accept Kaffe

* Mon Jan  8 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add a hack to get a static libartsc

* Sun Jan  7 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete kdelibs2* (from 7.0preview)

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %post/%postun for kdelibs-sound
- Turn off optimizations on ia64

* Mon Dec 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1beta1

* Thu Nov  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Another one - fix segfaults in the spellchecker
- fix docs

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS yet again - styles crash fix

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update CVS - security fix in Java/Javascript code.
  There seems to be some conspiracy going on - "commit important
  fixes right after Red Hat built new RPMs" or the likes. :>

* Thu Nov  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up handling of desktop files that use TryExec (Bug #20020)
  Patch also committed to KDE CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild with fixed kdoc

* Fri Oct 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current KDE_2_0_BRANCH, now that most of the ".0 release"
  bugs are fixed
- fix typo in specfile: it's mitshm, not libshm
- Add ksendbugmail, required for the "Report Bug" feature to work

* Sun Oct 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final
- don't --enable-final on alpha (compiler problems)

* Sun Oct  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild

* Sat Sep 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS snapshot
- fix up specfile
- exclude alpha for now (compiler bugs)

* Sat Sep 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- major specfile cleanups
- update CVS

* Fri Sep 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Move back to /usr
- New CVS snapshot
- Clean up specfile
- Use %%defines so we can build CVS snapshots and releases from the same
  specfile

* Fri Aug 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with optimizations re-enabled (Qt works around the problem now)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with new Qt

* Tue Aug 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 05 2000 Than Ngo <than@redhat.de>
- don't use -DNDEBUG and -O2 on alpha,sparc to build, it breaks with Internal
  error (c++ bug)

* Fri Aug  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to current (I fixed the libGL detection issue there)

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move to /usr/lib/kde2
- new snapshot

* Wed Jul 26 2000 Than Ngo <than@redhat.de>
- new snapshot

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot

* Thu Jul 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot, new Qt
- various fixes to spec file
- get rid of -O0, no longer required with gcc 2.96-41 (except on alpha)

* Tue Jul 18 2000 Than Ngo <than@redhat.de>
- rebuilt with gcc-2.96-40

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- use -O0 for now (ICE)

* Sun Jul  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use egcs++
- Epoch 3
- Update to current

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current - segfaulting at initialization time is not a nice
  feature.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- disable build on ia64 for now (compiler bugs)
- FHSify

* Thu Mar 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- split: move sound support to a separate package, suggestion from
  David Faure <david@linux-mandrake.com>

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Wed Jan 05 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- move programming docs to %{_docdir}/kdelibs-devel-%{version}-%{release}
  and to kdelibs-devel package
- new snapshot

* Tue Dec 14 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add qt version number in Requires, add kdoc HTML help
  (patch from David Faure <david@mandrakesoft.com>)
- Actually use the %clean section

* Mon Nov  1 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- almost completely rewrite spec file - move to DESTDIR system
- current snapshot

* Thu Oct 15 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshots
- Change prefix to respect %{prefix} so we can coexist with KDE 1.x
- kdelibs-devel requires kdelibs

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to /usr/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and /usr/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use /usr/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to /usr/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
